Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8131 - setxkbmap dislikes xf86config's configurations
Summary: setxkbmap dislikes xf86config's configurations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-03 05:21 UTC by David Baron
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 21:32:41 UTC


Attachments (Terms of Use)

Description David Baron 2000-01-03 05:21:59 UTC
Using a configuration generated by xf86config, setxkbmap gives an error
every time it is run that is something like (I don't want to go back to my
old configuration right now, but this is based on my memory, enhanced by
'strings `which setxkbmap`'):

  Couldn't interpret _XKB_RULES_NAMES property

The problem seems to be that xf86config generates a line at the end of the
keyboard section like:

      XkbKeymap   "xfree86(us)"

whereas Xconfigurator, in that same place, generates:

     XkbKeycodes     "xfree86"
     XkbTypes        "default"
     XkbCompat       "default"
     XkbSymbols      "us(pc101)"
     XkbGeometry     "pc"
     XkbRules        "xfree86"
     XkbModel        "pc101"
      XkbLayout       "us"

setxkbmap works like a charm when I change the first line (as generated by
xf86config) to the above 8 (as generated by Xconfigurator).

Comment 1 Preston Brown 2000-02-03 21:32:59 UTC
don't use xf86config.  We don't support it.


Note You need to log in before you can comment on or make changes to this bug.